RFC221
RFC221 · Finance
3 public student ratings, updated Oct 2026 · no written reviews yet
Planning Spring 2027? Save classes to your plan.
From 3 public student ratings
Students rate this class highly. It's about average, and good grades are within reach.
No written reviews yet. Yours would be the first.
Took RFC221? How hard was it?
1 is easy, 5 is hard. Anonymous, no account.
Difficulty
What we know
- Ratings across the web
- 5.0 out of 5 stars5.0from 3 ratings
- Department
- Finance
Written reviews
No written reviews of RFC221 yet
Took it? Add yours when you have a couple of minutes. Anonymous, no account, no email.
Professors who have taught RFC221
- John Harris
Questions students ask
Classes next to RFC221
RFC courses at Seneca with the closest numbers
- RFC1213.8 out of 5 stars3.8· difficulty 49/100· 9 ratings
- RFC1222.8 out of 5 stars2.8· difficulty 70/100· 4 ratings
- RFC1245.0 out of 5 stars5.0· difficulty 40/100· 3 ratings
- RFC1254.0 out of 5 stars4.0· difficulty 63/100· 7 ratings
- RFC221This class
- RFC2232.0 out of 5 stars2.0· difficulty 80/100· 4 ratings
- RFC4045.0 out of 5 stars5.0· difficulty 47/100· 3 ratings